# coding:utf-8
import os
import time
from hashlib import md5
import tornado.ioloop
import tornado.web
from tornado.web import StaticFileHandler
import json
from pprint import pprint
import requests

# id = "40a16c7d321cdceb58dea4d60343ee1b"
# key = "644a30b6baf8c29aea4c2f499d6cf579"
id = "48a6ebac4ebc6642d68c217fca33eb4d"  # 您的id, 在极验后台获取
key = "4f1c085290bec5afdc54df73535fc361"  # 您的私钥, 在极验后台获取
API_URL = "http://api.geetest.com/gt_verify"
# 121.42.224.121  API8
# 192.168.1.54 dev
# api.geetest.com product


class IndexAppHandler(tornado.web.RequestHandler):
    def get(self):
        self.render("static/index.html")  # Load HTML template


class EventHandler(tornado.web.RequestHandler):
    def geta(self):
        try:
            self.run()
        except Exception as e:
            print(e)

    def post(self):
        self.get()

    def get(self):
        challenge = self.get_argument("challenge")
        # phone = self.get_argument("username", "ddd")
        phone = self.get_argument("phone")
        seccode = md5((key + challenge).encode()).hexdigest()
        query = {
            "id": id,
            "seccode": seccode,
            "idType": "1",
            "idValue": md5(phone.encode()).hexdigest(),
            "challenge": challenge,
            "user_ip": "1.2.3.4",
            "timestamp": time.time(),
            "crash": "0",
        }
        print("query:", query)
        resp = requests.post(API_URL, data=query)
        print("response:", resp)
        result = resp.content
        print("result:", )
        pprint(json.loads(result.decode()))
        self.write(result)

if __name__ == "__main__":
    s_path = os.path.join(os.path.dirname(__file__), "static/")
    print("static_path:", s_path)
    settings = dict(
                    debug=True,
                    compress_response=True,
                    cookie_secret="this is a demo",
                    static_path=s_path)
    app = tornado.web.Application([
                                   (r"/", IndexAppHandler),
                                   (r"/gt/verify", EventHandler),
                                   (r"/static/(main.js)", StaticFileHandler,
                                    dict(path=settings['static_path']))
                                  ], settings)
    app.listen(7777)
    tornado.ioloop.IOLoop.current().start()
